The Share Type object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

title string required
description string
The Share Type object
{
  "id": "share-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "title": "title_example",
  "description": "description_example"
}
GET /api/accounts/share-type/{id}

Retrieve a share type

Retrieves the details of an existing share type. Supply the unique share type ID that was returned from a previous request.

Path parameters

id string required

The identifier of the share type to retrieve.

Returns

Returns the share type object if a valid identifier was provided.

GET /api/accounts/share-type/{id}
curl https://api.overplane.dev/api/accounts/share-type/share-type_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "share-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "title": "title_example",
  "description": "description_example"
}
GET /api/accounts/share-type

List all share types

Returns a list of share types. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of share type objects.

GET /api/accounts/share-type
curl https://api.overplane.dev/api/accounts/share-type \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "share-type_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "title": "title_example",
      "description": "description_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/share-type

Create a share type

Creates a new share type object.

Body parameters

title string required
description string

Returns

Returns the newly created share type object if the call succeeded.

POST /api/accounts/share-type
curl https://api.overplane.dev/api/accounts/share-type \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"title":"title_example"}'
Response
{
  "id": "share-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "title": "title_example",
  "description": "description_example"
}
PATCH /api/accounts/share-type/{id}

Update a share type

Updates the specified share type by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the share type to update.

Body parameters

title string
description string

Returns

Returns the updated share type object.

PATCH /api/accounts/share-type/{id}
curl https://api.overplane.dev/api/accounts/share-type/share-type_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"title":"title_example","description":"description_example"}'
Response
{
  "id": "share-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "title": "title_example",
  "description": "description_example"
}
DELETE /api/accounts/share-type/{id}

Delete a share type

Permanently deletes a share type. This cannot be undone.

Path parameters

id string required

The identifier of the share type to delete.

Returns

Returns a confirmation that the share type has been deleted.

DELETE /api/accounts/share-type/{id}
curl https://api.overplane.dev/api/accounts/share-type/share-type_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "share-type_abc123",
  "deleted": true
}